### Constructor

# Peas ExtensionSet newv

#### Declaration [src]

    PeasExtensionSet*
    peas_extension_set_newv (
      PeasEngine* engine,
      GType exten_type,
      guint n_parameters,
      GParameter* parameters
    )

#### Description [src]

Create a new `PeasExtensionSet` for the `exten_type` extension type.

If `engine` is `NULL`, then the default engine will be used.

Since libpeas 1.22, `exten_type` can be an Abstract `GType` and not just an Interface `GType`.

See `peas_extension_set_new()` for more information.

This constructor is not directly available to language bindings.

#### Parameters

`engine`

  Type: `PeasEngine`

  A `PeasEngine`, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`exten_type`

  Type: `GType`

  The extension `GType`.

`n_parameters`

  Type: `guint`

  The length of the `parameters` array.

`parameters`

  Type: An array of `GParameter`

  An array of `GParameter`.

  The length of the array is specified in the `n_parameters` argument.
  The data is owned by the caller of the function.

#### Return value

Type: `PeasExtensionSet`

A new instance of `PeasExtensionSet`.

The caller of the function takes ownership of the data, and is responsible for freeing it.